| The Red Matrix

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Pages
Functions
attach.php File Reference

## Functions
| z_mime_content_type ($filename)
| attach_count_files ($channel_id, $observer, $hash= '', $filename= '', $filetype= '')
| attach_list_files ($channel_id, $observer, $hash= '', $filename= '', $filetype= '', $orderby= 'created desc', $start=0, $entries=0)
| attach_by_hash ($hash, $rev=0)
| attach_by_hash_nodata ($hash, $rev=0)
| attach_store ($channel, $observer_hash, $options= '', $arr=null)
| z_readdir ($channel_id, $observer_hash, $pathname, $parent_hash= '')

## Function Documentation

attach_by_hash | ( |  | $hash,
|  |  | $rev = `0`
| ) |  |

Referenced by attach_init().

attach_by_hash_nodata | ( |  | $hash,
|  |  | $rev = `0`
| ) |  |

Referenced by item_post(), and send_message().

attach_count_files | ( |  | $channel_id,
|  |  | $observer,
|  |  | $hash = `''`,
|  |  | $filename = `''`,
|  |  | $filetype = `''`
| ) |  |

attach_list_files | ( |  | $channel_id,
|  |  | $observer,
|  |  | $hash = `''`,
|  |  | $filename = `''`,
|  |  | $filetype = `''`,
|  |  | $orderby = `'created desc'`,
|  |  | $start = `0`,
|  |  | $entries = `0`
| ) |  |

attach_store | ( |  | $channel,
|  |  | $observer_hash,
|  |  | $options = `''`,
|  |  | $arr = `null`
| ) |  |

Referenced by fix_attached_file_permissions(), send_message(), and wall_attach_post().

z_mime_content_type | ( |  | $filename | ) |

Referenced by attach_store().

z_readdir | ( |  | $channel_id,
|  |  | $observer_hash,
|  |  | $pathname,
|  |  | $parent_hash = `''`
| ) |  |

Read a virtual directory and return contents, checking permissions of all parent components. z_readdir

Parameters

  integer | $channel_id |
  string | $observer_hash |
  string | $pathname |
  string | $parent_hash | (optional)

Returns
  array $ret $ret['success'] = boolean true or false $ret['message'] = error message if success is false $ret['data'] = array of attach DB entries without data component